Quick Start to Network Administration

How to Prepare for Deployment
AutoCAD 2009 Network Administrator's Guide >
Quick Start to Network Administration

Network deployment of this program requires careful planning and execution. This section gives you quick, step-by-step instructions about how to prepare for deployment, set up a license server, and set up and distribute the program.

If you are not familiar with network administration and deployment, you should read the entire Network Administrator's Guide before you attempt to deploy and administer the program over a network.

Topics in this section

  • How to Prepare for Deployment
  • How to Set Up a License Server
  • How to Set Up and Distribute the Program
  • Features That Require Design Review
Please send us your comment about this page


How to Prepare for Deployment

Quick Start to Network Administration
Quick Start to Network Administration
How to Choose an Installation Type
AutoCAD 2009 Network Administrator's Guide > Quick Start to Network Administration >
How to Prepare for Deployment

To prepare for a deployment, you need to choose an installation type and a license server model.

Topics in this section

  • How to Choose an Installation Type
  • How to Choose a License Server Model


How to Choose an Installation Type

How to Prepare for Deployment
How to Prepare for Deployment
How to Choose a License Server Model
AutoCAD 2009 Network Administrator's Guide > Quick Start to Network Administration > How to Prepare for Deployment >
How to Choose an Installation Type

When you set up your deployment, you need to choose the type of installation to deploy. In the AutoCAD 2009 Installation wizard, you specify one of the following installation types:

Network License installation

With this type of installation, you install the program to workstations with the files and registry entries that allow the program to communicate with the Network License Manager. You also define the configuration of the Network License Manager so that the licenses can be accessed. Workstations running the program based on a network installation do not require individual activation. Licensing of this program is managed by at least one license server.

The main advantage is that you can install AutoCAD on more systems than the number of licenses you have purchased (for example, purchasing 25 licenses but installing on 40 workstations). At any one time, AutoCAD runs on the maximum number of systems for which you have licenses. This means you get a true floating license.

Multi-Seat Stand-Alone installation (Stand-Alone option)

Choose this type of installation for stand-alone installations where a single serial number is used for multiple seats. Multi-seat stand-alone installations do not rely upon a Network License Manager to manage product licenses; however, you can still use the AutoCAD 2009 Installation wizard to create administrative images and create deployments. Registration and activation is more automated for multi-seat stand-alone installations. After the first activation using the multi-seat stand-alone serial number, activation occurs automatically for all workstations based on this deployment, as long as your systems are connected to the Internet.

Stand-Alone installation (Stand-Alone option)

Choose this type of installation for stand-alone installations where a single serial number is used for a single seat. Like a multi-seat stand-alone installation, you do not use the Network License Manager to manage product licensing, but installation, registration, and activation occurs on each workstation.

If you choose one of the Stand-Alone installation types, you can proceed to the section How to Set Up and Distribute the Program.


How to Choose a License Server Model

How to Choose an Installation Type
How to Prepare for Deployment
How to Set Up a License Server
AutoCAD 2009 Network Administrator's Guide > Quick Start to Network Administration > How to Prepare for Deployment >
How to Choose a License Server Model

If you chose the Network Installation option, you need to decide which license server model to use to distribute the product licenses.

TipIf you are deploying a stand-alone or multi-seat stand-alone installation type, you do not use a license server model. Proceed to the How to Set Up and Distribute the Program section.

For the network installation, use one of the following license server models:

  • Single license server model. The Network License Manager is installed on a single server, so license management and activity is restricted to this server. A single license file represents the total number of licenses available on the server.
  • Distributed license server model. Licenses are distributed across more than one server. A unique license file is required for each server. To create a distributed license server, you must run the Network License Manager on each server that is part of the distributed server pool.
  • Redundant license server model. You use three servers to authenticate a single license file. One server acts as the master, while the other two provide backup if the master server fails. With this configuration, licenses continue to be monitored and issued as long as at least two servers are still functional. The license file on all three servers is the same. You must install the Network License Manager on each server.

Each of these license server models is described in detail in the Network Licensing Guide. It is strongly recommended that you read that guide before you deploy the program. You can find the Network Licensing Guide by clicking the Documentation link at the lower left corner of the AutoCAD 2009 Installation wizard and in the Help system.


How to Set Up a License Server

How to Choose a License Server Model
Quick Start to Network Administration
How to Install the Network License Manager
AutoCAD 2009 Network Administrator's Guide > Quick Start to Network Administration >
How to Set Up a License Server

If you are planning to have users run the program using network licenses, you need to use the Network License Manager and the Network License Activation utility.

The Network License Manager helps you configure and manage license servers. The Network License Activation utility helps you get licenses and register them over the Internet.

Topics in this section

  • How to Install the Network License Manager
  • How to Install and Use the Network License Activation Utility
  • How to Configure Your License Server


How to Install the Network License Manager

How to Set Up a License Server
How to Set Up a License Server
How to Install and Use the Network License Activation Utility
AutoCAD 2009 Network Administrator's Guide > Quick Start to Network Administration > How to Set Up a License Server >
How to Install the Network License Manager

The Network License Manager is used to configure and manage the license servers.

To install your Network License Manager

  1. In the AutoCAD 2009 Installation wizard, click Install Tools and Utilities.
  2. On the Select the Products to Install page, select Autodesk Network License Manager and click Next.
  3. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the installation. Choose your country or region, click I Accept, and then click Next.
    NoteIf you do not agree to the terms of the license and want to terminate the installation, click Cancel.
  4. On the Review - Configure - Install page, review your product selection and the current settings. If you don’t want to make any changes, click Install. If you want to change the install type or installation path, click Configure.
  5. On the Select the Installation Type page, choose Typical or Custom and accept the default installation path (C:\Program Files\Autodesk Network License Manager\) or Browse to specify a different path. If you enter a path that does not exist, a new folder is created using the name and location you provide. Click Next.
    WarningDo not install the Network License Manager on a remote drive. When you install the Network License Manager files, you must provide a path to a local drive. You must specify the drive letter; the universal naming convention (UNC) is not supported.
  6. On the Configuration Complete page, click Configuration Complete to return to the confirmation page.
  7. On the Review - Configure - Install page, click Install.
  8. When the Installation Complete page displays, click Finish.


How to Install and Use the Network License Activation Utility

How to Install the Network License Manager
How to Set Up a License Server
How to Configure Your License Server
AutoCAD 2009 Network Administrator's Guide > Quick Start to Network Administration > How to Set Up a License Server >
How to Install and Use the Network License Activation Utility

With the Network License Activation utility, you can obtain licenses over the Internet, which saves time and effort in setting up a network-licensed version of the program. In addition, you can register your product, get automated support by email if you cannot obtain a license over the Internet, and save and migrate license files automatically.

To install your Network License Activation utility

  1. In the AutoCAD 2009 Installation wizard, click Install Tools and Utilities.
  2. On the Select the Products to Install page, select Autodesk Network License Activation utility and click Next.
  3. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the installation. Choose your country or region, click I Accept, and then click Next.
    NoteIf you do not agree to the terms of the license and want to terminate the installation, click Cancel.
  4. On the Review - Configure - Install page, review your product selection and the current settings. If you don’t want to make any changes, click Install. If you want to change the install type or installation path, click Configure.
  5. On the Select the Installation Type page, choose Typical or Custom and either accept the default installation path (C:\Program Files\Autodesk Network License Manager\Network License Activation Utility\enu\) or Browse to specify a different path. If you enter a path that does not exist, a new folder is created using the name and location you provide. Click Next.
  6. On the Configuration Complete page, click Configuration Complete to return to the confirmation page.
  7. On the Review - Configure - Install page, click Install.
  8. When the Installation Complete page displays, click Finish.

To use your Network License Activation utility

  1. On the Start menu (Windows), click All Programs (or Programs) [image] Autodesk [image] Network License Manager [image] AutoCAD 2009 Network License Activation Utility.
  2. On the Obtain a Network License page, review how this utility works and the requirements for using it, and then click Next.
  3. On the Server Information page, enter the product serial number.
    NoteIf you are modifying an existing license file or obtaining a new license for an existing product, your previously entered information might be displayed. Make sure that the serial number that is displayed is the one you want to license. If it is not, enter the correct product serial number.
  4. In the License Server Model section, click a license server model. For more information about each license server model, click the ? button.
  5. In the Server Host Name box, enter a server host name or click the [...] button to locate the name of each server you plan to use.
  6. In the Host ID box, for each server host name you entered in the previous step, click Lookup to have the utility automatically locate the host ID for the server, or enter the host ID manually.
    NoteIf your server has more than one network adapter, select the one that corresponds to a physical network adapter. To determine which adapters are physical, enter ipconfig /all at a Windows command prompt and view the Description field above each physical address. If there is more than one physical network adapter, you can use any one of them, as long as it was listed when you ran ipconfig /all. Logical devices such as VPN adapters, PPP adapters, and modems may be listed but are not usable for licensing.
  7. If you chose Distributed Server in step 4, the Seats box is displayed. In the Seats box, enter the number of seats for each license server, and then click Next.
  8. On the Confirm Server Information page, review the server information you entered, and click Next.
  9. If the Register and License Your Autodesk Product page is displayed, do all of the following, and then click Next.
    • In the This Product Is To Be Registered To option, select Company or Individual.
    • In the Select Country or Region section, select your country or region of residence.
    • In the Is This an Upgrade section, select Yes or No.
  10. If the Registration Information page is displayed, enter your registration information, and then click Next.
  11. If the Confirm Information page is displayed, review your registration information, and then click Next.
  12. If the Connecting page is displayed, click Next to connect to the Internet to obtain your network license.
  13. On the Licenses Received page, in the Save License File for [computer name] dialog box, enter the location where you want to save your license file, or click Browse to navigate to the location.
    NoteIt is recommended that you save your license file to the location where you installed the Network License Manager.
  14. If you have an existing license file from another Autodesk product, select one of the following options:
    • Insert the New License Information Into It. The new license information is added into the existing license file.
    • Overwrite the Existing License File. The entire contents of the existing license file is replaced with the new license information. Select this option only if you no longer require any part of the existing license file contents.
  15. Click Next.
  16. On the License Activation Successful page, click Print to save a printed copy of the license information, or click Done to complete the transaction and exit the Network Activation utility.


How to Configure Your License Server

How to Install and Use the Network License Activation Utility
How to Set Up a License Server
How to Set Up and Distribute the Program
AutoCAD 2009 Network Administrator's Guide > Quick Start to Network Administration > How to Set Up a License Server >
How to Configure Your License Server

You configure a license server so that you can manage the Autodesk product licenses you received when you ran the Network License Activation utility. Configure the license server with the lmtools.exe utility.

To configure your license server

You should be logged in with Administrator rights when working with the LMTOOLS utility.

  1. Do one of the following:
    • Click Start menu (Windows XP & 2000) [image] All Programs (or Programs) [image] Autodesk [image] Network License Manager [image] LMTOOLS.
    • Right-click the LMTOOLS icon (Windows Vista) on the desktop and click Run As Administrator.
  2. In the Lmtools program, on the Service/License File tab, select the Configure Using Services option.
  3. Click the Config Services tab.
  4. On the Config Services tab, in the Service Name list, select a service name or do one of the following:
    • If a service name is selected, verify that it is the one you want to use to manage licenses.
    • If no service name exists, enter the service name you want to use to manage licenses.
    NoteIf you have more than one software vendor using FLEXlm® for license management, the Service Name list contains more than one option.
  5. In the Path to Lmgrd.exe File box, enter the path to the Network License Manager daemon (lmgrd.exe), or click Browse to locate the file.

    By default, this daemon is installed in the \Program Files\Autodesk Network License Manager folder.

  6. In the Path to the License File box, enter the path to your license file, or click Browse to locate the file.
  7. In the Path to the Debug Log File box, enter a path to create a debug log, or click Browse to locate an existing log file.
  8. To run lmgrd.exe as a service, select Use Services.
  9. To automatically start lmgrd.exe when the system starts, select Start Server at Power Up.
  10. Click Save Service to save the new configuration under the service name you selected in step 4. Then click Yes.
  11. Click the Start/Stop/Reread tab.
  12. On the Start/Stop/Reread tab, do one of the following:
    • If a service has not yet been defined for Autodesk, click Start Server to start the license server.
    • If a service for Autodesk is already defined and running, click ReRead to refresh the Network License Manager with any changes made to the license file or Options file.

      The license server starts running and is ready to respond to client requests.

  13. Close lmtools.exe.


How to Set Up and Distribute the Program

How to Configure Your License Server
Quick Start to Network Administration
How to Create a Network Share
AutoCAD 2009 Network Administrator's Guide > Quick Start to Network Administration >
How to Set Up and Distribute the Program

Once you have prepared for deployment and you have used the Network License Manager and the Network License Activation utility, you are ready to set up and distribute this program by using the AutoCAD 2009 Installation wizard and choosing a deployment method.

Topics in this section

  • How to Create a Network Share
  • How to Use the Installation Wizard to Set Up a Deployment
  • How to Deploy This Program


How to Create a Network Share

How to Set Up and Distribute the Program
How to Set Up and Distribute the Program
How to Use the Installation Wizard to Set Up a Deployment
AutoCAD 2009 Network Administrator's Guide > Quick Start to Network Administration > How to Set Up and Distribute the Program >
How to Create a Network Share

A network share is an installation folder that you make available to users' computers on a network. You point users to this location to install the program. Create a network share that will be used by the AutoCAD 2009 Installation wizard during the creation of a client deployment.

NoteYou must have Full Control permissions set for your shared folder when you are creating your deployment images. Read permissions are necessary to access the network share and administrative permissions on the workstation where the program is deployed.

To create your network share

  1. On the desktop of a network server, create a folder named Autodesk.
  2. Right-click the Autodesk folder and click Share and Security (or Sharing).
  3. In the <folder name> Properties dialog box, Sharing tab, select Share This Folder.
  4. Specify a Share Name, such as Autodesk or MyDeployments, if necessary.
  5. Click the Permissions button. In the Permissions dialog box make sure Full Control is active. Click OK.

    In Vista, right-click the Autodesk folder and then click Share. In the Properties dialog box select Sharing and then Advanced Sharing to share the folder. Click the Permissions button to make sure Full Control is active. Click OK.

    These steps are important when creating your deployment images.

  6. Click OK or Close to close the Properties dialog box.
  7. For each product you plan to install, create a subfolder in the Autodesk folder. Name each folder with the pertinent product name.


How to Use the Installation Wizard to Set Up a Deployment

How to Create a Network Share
How to Set Up and Distribute the Program
How to Deploy This Program
AutoCAD 2009 Network Administrator's Guide > Quick Start to Network Administration > How to Set Up and Distribute the Program >
How to Use the Installation Wizard to Set Up a Deployment

You can create a deployment directly from the AutoCAD 2009 Installation wizard. From the deployment, users can install the program on their computers.

NoteThe following procedure illustrates just one of the ways you can set up a deployment. This procedure details a single-server network deployment with a Typical client setup type and no customizations. For further information about setting up deployments, see Use the Installation Wizard to Set Up a Deployment.

To use the Installation wizard to create a default deployment

  1. In the AutoCAD 2009 Installation wizard, click Create Deployments.
  2. On the Begin Deployment page, you need to specify the following: administrative image location, deployment name, and if your target systems are 32 or 64-bit operating system(s).
    • In the administrative image field, enter an existing shared network location where you want to create an administrative image, or click the Browse button to navigate to a location where there is a shared network location. Users install the program from this location.
      NoteIf you do not know how to create a network share, see How to Create a Network Share.
    • In the deployment name field, enter the new deployment's name. The name you enter here is the name of the shortcut your users will access to install the product.
    • Under This Is To Be A, choose whether your deployment is going to be installed on 32-bit or a 64-bit target operating system. This selection does not identify the system your deployment was created on; it identifies your target system.

    Click Next.

  3. On the Select the Products to Include in the Deployment page, choose the product(s) you want to deploy and click Next.
    NoteAutoCAD Design Review 2009 is not installed by default when you install AutoCAD. Some AutoCAD features require that Design Review be installed to work properly. Design Review is the replacement viewer for DWF Viewer. For more information about the affected features, see Features That Require Design Review
  4. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the installation. Choose your country or region, click I Accept, and then click Next.
    NoteIf you do not agree to the terms of the license and want to terminate the installation, click Cancel.
  5. On the Product and User Information page, enter your serial number and user information and click Next.
    ImportantThe information you enter here is permanent and is displayed in the AutoCAD 2009 window (accessed by Menu browser [image] Help [image] About) on your computer. Because you can't change this information later without uninstalling the product, make sure you enter the correct information now.
  6. On the General Deployment Settings page, choose if you want the deployment to create a network log and/or a client log, run the client installation in silent mode, and if you want users to participate in the Customer Involvement program.
    • When you choose to create a network log file, you also have to specify where the log file is created by entering either a valid UNC (universal naming convention) path or hard-coded path on your network. The network log file is optional.
      NoteThe folder where the network log resides must be a shared folder where users who install the program have Change permissions. Otherwise, successes or failures for user installations cannot be written to the log file.
    • Choose whether you want a client log file created.
    • If you want to prevent users from changing installation settings when they install, select Silent mode.
    • If you choose participation in the Customer Involvement program, Autodesk sends helpful information about the product.

    For more information regarding log files, refer to Specify Log File Locations.

    Click Next.

  7. On the Review - Configure - Create Deployment page, click Create Deployment.

    By clicking Create Deployment, an administrative image is created in the shared folder using the deployment options listed in the Current Settings field.

  8. On the Deployment Complete page, click Finish.

To use the Installation wizard to create a configured deployment

  1. In the AutoCAD 2009 Installation wizard, click Create Deployments.
  2. On the Begin Deployment page, specify the following: the administrative image location, deployment name, and if your target systems are 32 or 64-bit operating system(s).
    • In the Administrative Image field, enter an existing shared network location where you want to create an administrative image, or click the Browse button to navigate to a location where there is a shared network location. Users install the program from this location.
      NoteIf you do not know how to create a network share, see How to Create a Network Share.
    • In the Deployment Name field, enter the new deployment's name. The name you enter here is the name of the shortcut your users will access to install the product.
    • Under This Is To Be A, choose whether your deployment is to be installed on a 32-bit or a 64-bit target operating system. This selection does not identify the system your deployment was created on; it identifies your target systems.

    Click Next.

  3. On the Select the Products to Include in the Deployment page, choose the product(s) you want to deploy and click Next.
    NoteAutoCAD Design Review 2009 is not installed by default when you install AutoCAD. Some AutoCAD features require that Design Review be installed to work properly. Design Review is the replacement viewer for DWF Viewer. For more information about the affected features, see Features That Require Design Review
  4. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the installation. Choose your country or region, click I Accept, and then click Next.
    NoteIf you do not agree to the terms of the license and want to terminate the installation, click Cancel.
  5. On the Product and User Information page, enter your serial number and user information and click Next.
    Important The information you enter here is permanent and is displayed in the AutoCAD 2009 window (accessed by Menu browser [image] Help [image] About) on your computer. Because you can't change this information later without uninstalling the product, make sure you enter the correct information now.
  6. On the General Deployment Settings page, choose if you want the deployment to create a network log and/or a client log, run the client installation in silent mode, and if you want users to participate in the Customer Involvement program.
    • When you choose to create a network log file, you also have to specify where the log file is created by entering either a valid UNC (universal naming convention) path or hard-coded path on your network. The network log file is optional.
      NoteThe folder where the network log resides must be a shared folder where users who install the program have Change permissions. Otherwise, successes or failures for user installations cannot be written to the log file.
    • Choose whether you want a client log file created.
    • If you want to prevent users from changing installation settings when they install, select Silent mode.
    • If you choose participation in the Customer Involvement program, Autodesk sends helpful information about the product.

    For more information regarding log files, refer to Specify Log File Locations.

    Click Next.

  7. On the Review - Configure - Create Deployments page, click Configure to make changes to the administrative image.
  8. On the Select the License Type page, select a Stand-alone or Network license installation.
  9. On the Select the Installation Type page, you can choose to make the following configuration changes:
    • Typical - Installs the most common application features.
    • Custom - Installs only the application features that you select from the Select Features To Install list:
      CAD Standards | Contains tools for reviewing design files for compliance with your standards.
      Database | Contains database access tools.
      Dictionaries | Contains multilanguage dictionaries.
      Drawing Encryption | Allows you to use the Security Options dialog box to protect a drawing with a password.
      Express Tools | Contains AutoCAD support tools and utilities.
      Fonts | Contains program fonts. (True Type fonts are automatically installed with the program.)
      Autodesk Impression Toolbar | The Impression toolbar allows you to export any view for advanced line effects.
      Material Library | Contains over 300 professionally built materials to apply to a model.
      New Features Workshop | Contains animated demos, exercises, and sample files to help users learn new features.
      Portable License Utility | Contains a tool for moving a stand-alone license between computers.
      Migrate Custom Settings | Allows you to migrate custom settings and files from previous releases. For more information, see Migrate Custom Settings.
      Reference Manager | Allows you to view and edit the paths of externally referenced files associated with a drawing.
      Samples | Contains various feature sample files.
      Tutorials | Contains product lessons.
      VBA Support | Contains Microsoft Visual Basic for Applications support files.
      NoteAutodesk Impression availability is limited. Please check your local Autodesk website to see if Impression is available in your country.
    • Product Install Path - Specifies the drive and location where AutoCAD will be installed.

    Click Next to proceed with the configuration process.

  10. On the Define Search Paths and File Locations page, define search paths, file names, and file locations, and then click Next.
    WarningDo not remove the DRV path and always add paths as secondary paths.
  11. To include additional files in the deployment, select their location and file names on the Install Additional Files page. After making your selections, click Next.
  12. On the Specify User Preferences page, decide if the Internet Explorer browser is required, set the default profile name, and whether or not you want a desktop shortcut. Click Next.
  13. On the Include Service Packs page, if service packs are available for your deployment, you can select to include them.

    The installer automatically checks autodesk.com for available updates. If updates are available, a link is displayed. If no updates are available a link is not displayed.

  14. On the Configure InfoCenter Communications Center page, you choose to allow users access to the latest information and product discussions by enabling live updates from Autodesk, Information and CAD Manager channels and RSS feeds. After making your choices, click Next.
  15. You can also allow users access to online tools such as DesignCenter, error reporting and InfoCenter searches on the Configure Access to Online Resources page. Make your selections, and then click Next.
  16. On the Configuration Complete page, select another product tab to configure another product and then click Next, or click Configuration Complete to review your choices.
  17. On the Review - Configure - Create Deployment page, click Create Deployment.
  18. On the Deployment Complete page, click Finish.


How to Deploy This Program

How to Use the Installation Wizard to Set Up a Deployment
How to Set Up and Distribute the Program
Features That Require Design Review
AutoCAD 2009 Network Administrator's Guide > Quick Start to Network Administration > How to Set Up and Distribute the Program >
How to Deploy This Program

You can choose from several methods of deploying the program. Network sharing is the default method.

  • Network Share. Users launch the program with the shortcut icon that you created with the Installation wizard, in step 3 of the procedure How to Use the Installation Wizard to Set Up a Deployment. The program is installed on users' local computers, and a product icon appears on their desktop.
    NoteUsers must have Read permissions to access the network share and administrative permissions on the workstation where this program is installed.
  • Scripting. See Use Scripts to Deploy the Program.
  • Group Policy Objects (GPOs). See Use Group Policies to Install a Deployment.
  • Imaging Software. See Distribute the Product Using Imaging Software.


Features That Require Design Review

How to Deploy This Program
Quick Start to Network Administration
System Requirements
AutoCAD 2009 Network Administrator's Guide > Quick Start to Network Administration >
Features That Require Design Review

Design Review is a tool for reviewing and working with DWF files. DWF files are drawing files that have been converted so they can be transported over the Internet and then shared with others. In order to work with DWF files, you need to have Design Review installed.

If you want to use any of the following commands or functions with a DWF file, you neeed to have Design Review installed.

  • PUBLISH
  • PLOT
  • 3DDWF
  • PUBLISH TO WEB
  • EXPORT
  • MARKUP
  • DWFUNDERLAY
  • AUTOPUBLISH
  • SSM


System Requirements

Features That Require Design Review
System Requirements for This Program
AutoCAD 2009 Network Administrator's Guide >
System Requirements

This section contains the system requirements for the location of the administrative image that you create, the network license server, and the client workstation.

Topics in this section

  • System Requirements for This Program


System Requirements for This Program

System Requirements
System Requirements
Deploy the Program
AutoCAD 2009 Network Administrator's Guide > System Requirements >
System Requirements for This Program

Before you begin installing the program on a network, make sure that your servers and client workstations meet the minimum recommended hardware and software requirements for a deployment.

Whether the Windows operating system is the 32-bit or the 64-bit version is automatically detected when installing AutoCAD. The appropriate version of AutoCAD will be installed. The 32-bit version of AutoCAD cannot be installed on a 64-bit version of Windows.

See the following tables for administrative image, license server, and client workstation system requirements.

Hardware and software requirements for the location of the administrative image
Hardware/Software | Requirement | Notes
Hard disk | 1 GB or above (recommended) | The location where you create the administrative image must be a shared location so that users can access the administrative image.

Hardware and software requirements for the network license server
Hardware/Software | Requirement | Notes
Operating system | Windows Vista 32-bit Windows XP 32-bit Windows 2003 Server Edition Windows 2000 Professional Windows 2000 Server Edition | The Network License Manager supports Ethernet network configurations only.
Computer/processor | Pentium III or later 450 Mhz (minimum) |
Network interface card | Compatible with existing Ethernet network infrastructure | The Network License Manager supports multiple network interface cards.
Communication protocol | TCP/IP | The Network License Manager uses TCP packet types.

Hardware and software requirements

Hardware/Software

Requirement

Notes

Operating system

32-Bit

Windows Vista Enterprise

Windows Vista Business

Windows Vista Ultimate

Windows Vista Home Premium

Windows XP Professional, Service Pack 2

Windows XP Home, Service Pack 2

64-Bit

Windows Vista Enterprise

Windows Vista Business

Windows Vista Ultimate

Windows Vista Home Premium

Windows XP Professional

It is recommended that non-English language versions of AutoCAD be installed on an operating system with a user interface language that matches the code page of the AutoCAD language. A code page provides support for character sets used in different languages.

Web browser

32-bit

Internet Explorer 6.0 SP1 or later

64-bit

Internet Explorer 7.0 or later

You cannot install AutoCAD if Microsoft Internet Explorer 6.0 with Service Pack 1 (or later) is not installed on the installation workstation. You can download Internet Explorer from the Microsoft website: http://www.microsoft.com/downloads/

Processor

32-bit

Intel® Pentium® 4 processor or AMD® Athlon, 2.2 GHz or greater

or

Intel or AMD Dual Core processor, 1.6 GHz or greater

64-bit

AMD 64 or Intel EM64T

RAM

32-bit

1 GB (Windows XP SP2)

2 GB or greater (Windows Vista)

64-bit

2 GB

Graphics card

1280 x 1024 32-bit color video display adapter (True Color) 128 MB or greater, OpenGL®, or Direct3D® capable workstation class graphics card.

For Windows Vista, a Direct3D capable workstation class graphics card with 128 MB or greater is required1024 x 768 VGA with True Color (minimum)

  • Requires a Windows-supported display adapter.
  • For graphic cards that support Hardware Acceleration, DirectX 9.0c, or later, must be installed.
  • Installing from the ACAD.msi file does not install DirectX 9.0c, or later. Manual installation of DirectX is required, in this circumstance, for Hardware Acceleration to be configured.

Hard disk

750 MB for instllation (Windows XP SP2)

2 GB available not including installation (Windows Vista)

Pointing device

Mouse, trackball, or other device

DVD/CD-ROM

Any speed (for installation only)

32-bit

Download (ESD) and installation from DVD or CD-ROM

64-bit

Download or DVD

Optional hardware

Printer or plotter

Digitizer

Modem or access to an Internet connection

Network interface card

Additional recommendations for 3D use

Hardware/Software

Requirement

Notes

Operating system

32-Bit

Windows Vista Enterprise

Windows Vista Business

Windows Vista Ultimate

Windows Vista Home Premium

Windows XP Professional, Service Pack 2

Windows XP Home, Service Pack 2

64-Bit

Windows Vista Enterprise

Windows Vista Business

Windows Vista Ultimate

Windows Vista Home Premium

Windows XP Professional

It is recommended that non-English language versions of AutoCAD be installed on an operating system with a user interface language that matches the code page of the AutoCAD language. A code page provides support for character sets used in different languages.

Whether the Windows operating system is the 32-bit or the 64-bit version is automatically detected when installing AutoCAD. The appropriate version of AutoCAD will be installed. The 32-bit version of AutoCAD cannot be installed on a 64-bit version of Windows.

Processor

Intel® Pentium® 4 processor or AMD® Athlon, 2.2 GHz or greater

or

Intel or AMD Dual Core processor, 1.6 GHz or greater

RAM

2 GB (or greater)

Graphics card

1280 x 1024 32-bit color video display adapter (True Color) 128 MB or greater, OpenGL®, or Direct3D® capable workstation class graphics card.

For Windows Vista, a Direct3D capable workstation class graphics card with 128 MB or greater is required1024 x 768 VGA with True Color (minimum)

  • For graphic cards that support Hardware Acceleration, DirectX 9.0c, or later, must be installed.
  • Installing from the ACAD.msi file does not install DirectX 9.0c, or later. Manual installation of DirectX is required, in this circumstance, for Hardware Acceleration to be configured.

For more information about tested and certified graphics cards, visit http://www.autodesk.com/autocad-graphicscard

Hard disk

2 GB (in addition to the 1 GB or above required for installation)


Deploy the Program

System Requirements for This Program
Preliminary Tasks for a Network Deployment
AutoCAD 2009 Network Administrator's Guide >
Deploy the Program

In this section, you’ll find more detailed information about using the Installation wizard to create or modify deployments.

Topics in this section

  • Preliminary Tasks for a Network Deployment
  • Use the Installation Wizard to Set Up a Deployment
  • Point Users to the Administrative Image
  • Uninstall the Program


Preliminary Tasks for a Network Deployment

Deploy the Program
Deploy the Program
Minimize Chances of Installation Failure
AutoCAD 2009 Network Administrator's Guide > Deploy the Program >
Preliminary Tasks for a Network Deployment

Installing this program on a network requires careful planning and execution. The deployment checklist gives you a quick summary of the type of information you should be familiar with during your deployments.

Deployment Checklist
 | You have reviewed the system requirements. You must make sure that your network, servers, and client workstations meet the system requirements. See System Requirements for This Program.
 | You have closed all other programs and disabled anti-virus software. See Minimize Chances of Installation Failure.
 | You have identiied where deployments will reside such as a shared folder for each program you plan to deploy. See Create Shared Folders for Your Deployments.
 | You have installed and activated any supporting tools and utilities. See Install and Activate Tools and Utilities.
 | If your deployment plan involves using imaging software to distribute your program(s) to client workstations, you have reviewed the Distribute the Product Using Imaging Software section.
 | You have specified whether you want to create log files that contain deployment and installation data, run silent mode, and participate in the Customer Involvement Program. See Specify Log File Locations.
 | You understand the type of license you’ve purchased. If you plan a network license deployment, you should also be familiar with the type of license server model you want to use and the license server name(s). See Select a License Type (optional).
 | You know which type of installation you’ll perform—typical or custom. See Select the Installation Type (optional).
 | You may want to set search paths to custom files or file locations that may have changed in this release of software. See Define Search Paths and File Locations (optional).
 | You have decided if you want to include additional files with your deployment such as drawing files, AutoLISP routines, or script files. See Install Additional Files (optional).
 | You have checked for service packs that might be available for your product. If a service pack is available, you’ve downloaded it and extracted an MSP file. See Include Service Packs (optional).
 | You have configured access to Communication Center. Live Update notifications let you know when product updates are posted and configuring Communication Center lets users access technical information. See Configure InfoCenter Communication Center (optional).
 | You have set up access and participation in features like DesignCenter Online, Subscription Center, and Customer Error Reporting. See Allow Users to Access Online Resources (optional).
 | You know how you’re going to personalize the program(s) during registration. Using consistent registration data is very important. See Register the Product.

When you have completed these tasks, you are ready to create a deployment from the Installation wizard.

Topics in this section

  • Minimize Chances of Installation Failure
  • Create Shared Folders for Your Deployments
  • Install and Activate Tools and Utilities


Minimize Chances of Installation Failure

Preliminary Tasks for a Network Deployment
Preliminary Tasks for a Network Deployment
Create Shared Folders for Your Deployments
AutoCAD 2009 Network Administrator's Guide > Deploy the Program > Preliminary Tasks for a Network Deployment >
Minimize Chances of Installation Failure

The AutoCAD 2009 installation process may stop if some applications, such as Microsoft Outlook or virus checking programs, are running when you are creating a deployment. Close all running applications and temporarily disable virus checking utilities.


Create Shared Folders for Your Deployments

Minimize Chances of Installation Failure
Preliminary Tasks for a Network Deployment
Install and Activate Tools and Utilities
AutoCAD 2009 Network Administrator's Guide > Deploy the Program > Preliminary Tasks for a Network Deployment >
Create Shared Folders for Your Deployments

Shared folders are required for both network license and multi-seat stand-alone methods of installation. The shared folder (network share) is created before you run the Installation wizard and is where product deployments are stored.

It is recommended that you name the network share folder Deployments on the desktop of the system where you want deployments stored. You can then add subfolders inside the shared Deployments folder that clearly convey the name of product you plan to deploy. This is also beneficial if you plan to deploy multiple products.

Any subfolders that are placed inside a shared folder are automatically shared.

TipYou must have Full Control permissions set for your shared folder when you are creating your deployment images. Read permissions are necessary to access the network share and administrative permissions on the workstation where the program is deployed.

To create a shared folder

  1. On a network server, create a folder named Deployments.
  2. Right-click the Deployments folder and click Share and Security (or Sharing).

    In Vista, right-click the Deployments folder and then click Share. Click the Permissions button to make sure Full Control is active.

  3. In the <folder name> Properties dialog box, Sharing tab, select Share This Folder.

    In Vista, in the Properties dialog box, select Sharing and then Advanced Sharing.

  4. Specify a Share Name, such as MyDeployments, if necessary.
  5. Click the Permissions button. In the Permissions dialog box make sure Full Control is active. Click OK.
  6. Click OK or Close to close the Properties dialog box.
  7. For each product you plan to install, create a subfolder in the Deployments folder. Name each folder with the pertinent product name.


Install and Activate Tools and Utilities

Create Shared Folders for Your Deployments
Preliminary Tasks for a Network Deployment
Use the Installation Wizard to Set Up a Deployment
AutoCAD 2009 Network Administrator's Guide > Deploy the Program > Preliminary Tasks for a Network Deployment >
Install and Activate Tools and Utilities

Several supporting tools and utilities are necessary if you plan to have users run the program(s) with network licenses. Ancillary programs you might install include:

  • Network License Manager
  • Network License Activation Utility
  • CAD Manager Tools
  • SAMreport Lite

Refer to the Network Licensing Guide for detailed information about how to set up your license servers. The Network Licensing Guide is available on the Documentation link of the Installation wizard and in the Help system.


Use the Installation Wizard to Set Up a Deployment

Install and Activate Tools and Utilities
Deploy the Program
Start the Deployment Process
AutoCAD 2009 Network Administrator's Guide > Deploy the Program >
Use the Installation Wizard to Set Up a Deployment

The deployment process is initiated from the Installation wizard. Deployments are created from which users can install the program on their computers. You make choices during the deployment process to create various client deployment images and deployment types that meet user requirements and company needs.

The deployment process lets you do any of the following:

  • Create a deployment.
  • Apply a patch to a deployment.
  • Add customized files to a deployment.
  • Change search paths and file locations.
  • Allow users access to online resources.
NoteBecause the deployment process provides you with numerous options for creating and customizing your deployments, there are many deployment pages you need to complete and choices you must make. You should set aside ample time to complete the deployment process in one sitting.

Topics in this section

  • Start the Deployment Process
  • Create a Deployment
  • Enter Product and User Information
  • Specify Log File Locations
  • What Is Silent Mode?
  • Customer Involvement Program (CIP)
  • Select a License Type (optional)
  • Select the Installation Type (optional)
  • Define Search Paths and File Locations (optional)
  • Install Additional Files (optional)
  • Specify User Preferences (optional)
  • Include Service Packs (optional)
  • Configure InfoCenter Communication Center (optional)
  • Allow Users to Access Online Resources (optional)
  • Final Review and Complete Setup
  • Register the Product
  • Modify a Deployment (optional)


Start the Deployment Process

Use the Installation Wizard to Set Up a Deployment
Use the Installation Wizard to Set Up a Deployment
Create a Deployment
AutoCAD 2009 Network Administrator's Guide > Deploy the Program > Use the Installation Wizard to Set Up a Deployment >
Start the Deployment Process

Once you start the Installation wizard, you initiate the deployment process to set up a deployment.

To start the deployment process

  • In the AutoCAD 2009 Installation wizard, click Create Deployments.


Create a Deployment

Start the Deployment Process
Use the Installation Wizard to Set Up a Deployment
Enter Product and User Information
AutoCAD 2009 Network Administrator's Guide > Deploy the Program > Use the Installation Wizard to Set Up a Deployment >
Create a Deployment

A deployment contains a Microsoft Transform (MST) file that modifies the default behavior of the installation program. As you begin a deployment, you need to select the location of your Administrative image, a deployment name, and if your target systems are 32 or 64-bit operating systems.

To create a deployment

  1. In the Installation wizard, click Create Deployments.
  2. On the Begin Deployment page, enter the location of your Administrative image or click the Browse button to locate your image. Enter your deployment’s name, and if your target systems are 32 or 64-bit operating systems.
    NoteThe deployment location should be a shared network folder. To create a shared folder, see Create Shared Folders for Your Deployments.
  3. On the Select the Products to Include in the Deployment page, select the products and click Next.
  4. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the deployment. Choose your country or region, click I Accept, and then click Next.
    NoteIf you do not agree to the terms of the license and want to terminate the deployment process, click Cancel.
  5. On the Product and User Information page, enter the serial number and requested personalization data. Click Next.
  6. On the General Deployment Settings page, choose whether or not you want to create a network log and its location, and a client log. You can also run the client’s installation in silent mode and if you want users to participate in the Customer Involvement Program. Click Next.
  7. If you do not want to make configuration changes on the Review - Configure - Install page, click Create Deployment. Then select Yes, to continue installing using the default configuration.

  8. Select the Register products online link to register and activate your product, or click Finish and register and activate later.


Enter Product and User Information

Create a Deployment
Use the Installation Wizard to Set Up a Deployment
Specify Log File Locations
AutoCAD 2009 Network Administrator's Guide > Deploy the Program > Use the Installation Wizard to Set Up a Deployment >
Enter Product and User Information

The Product and User Information page is used to personalize the program for your company. The information you enter here is permanent and is displayed in the About AutoCAD 2009 window (accessed by Menu browser [image] Help [image] About) on all workstations that install your deployment. Because you can't change this information later without uninstalling, make sure you enter the correct information now.

You must also enter your product serial number in order to run the product. The product serial number is located on the product packaging. The serial number must contain a three-digit prefix followed by an eight-digit number.

To enter your serial number and personal information

  1. On the Product and User Information page, enter your product serial number and the requested personalization data.
    NoteAlthough it is required that you enter information in each box on this page, you can enter any information that you want to convey to users who install the deployment.
  2. Click Next.


Specify Log File Locations

Enter Product and User Information
Use the Installation Wizard to Set Up a Deployment
What Is Silent Mode?
AutoCAD 2009 Network Administrator's Guide > Deploy the Program > Use the Installation Wizard to Set Up a Deployment >
Specify Log File Locations

The program has two types of log files with which you can monitor information about deployments and installations.

  • Network log. The network log file keeps a record of all workstations that run the deployment. On the General Deployment Settings page of the deployment process, you choose whether or not to create a network log file. The log lists the user name, workstation name, and the status of the installation. Refer to this file for status information and details about problems that users encountered during installation (for example, low disk space or inadequate permissions). The network log is named with the same name you chose for your deployment. You can specify where the log file is created by entering either a valid UNC (universal naming convention) path or hard-coded path on your network, for example \\MyComputer\Autodesk\AutoCAD 2009.
    NoteThe folder where the network log resides must be a shared folder where users who install the program have Change permissions. Otherwise, successes or failures for user installations cannot be written to the log file.
  • Client log. The client log contains detailed installation information for each workstation. This information may be useful in diagnosing installation problems. The client log is located in the \Temp directory of each client workstation.

To specify a log file location

  1. While creating a deployment, on the General Deployment Settings page, select the check box next to the Create Network Log box. Enter the name of the folder where you want the network log to be located.
  2. If you want to create a client log, select the Create Client Log option.
  3. Click Next.


What Is Silent Mode?

Specify Log File Locations
Use the Installation Wizard to Set Up a Deployment
Customer Involvement Program (CIP)
AutoCAD 2009 Network Administrator's Guide > Deploy the Program > Use the Installation Wizard to Set Up a Deployment >
What Is Silent Mode?

When silent mode is active and a user initiates the deployment, the installation proceeds without any explicit user input. No dialog boxes are presented that require interaction from the user.


Customer Involvement Program (CIP)

What Is Silent Mode?
Use the Installation Wizard to Set Up a Deployment
Select a License Type (optional)
AutoCAD 2009 Network Administrator's Guide > Deploy the Program > Use the Installation Wizard to Set Up a Deployment >
Customer Involvement Program (CIP)

If you choose to have your clients participate in the Customer Involvement Program, AutoCAD will automatically sends Autodesk information about system configuration, what features you use most, any problems that you encounter, and other information helpful to the future direction of the product.

NoteYou can also enable or disable the Customer Involvement Program from the CAD Manager Control utility.


Select a License Type (optional)

Customer Involvement Program (CIP)
Use the Installation Wizard to Set Up a Deployment
Select the Installation Type (optional)
AutoCAD 2009 Network Administrator's Guide > Deploy the Program > Use the Installation Wizard to Set Up a Deployment >
Select a License Type (optional)

When you set up your deployment, you choose the type of installation to deploy based on the type of software license you purchased: stand-alone or network. You also select the network license server model you want to use to distribute product licenses.

Specify the license type to use during deployment

Stand-Alone license (a single serial number for a single seat)

For a stand-alone license, you install, register, and activate the program on each workstation.

Network license

With this type of installation, you install the program to workstations with the files and registry entries that allow the program to communicate with the Network License Manager. You also define the configuration of the Network License Manager so that the licenses can be accessed. Workstations running the program based on a network installation do not require individual activation. Licensing of this program is managed by at least one license server.

To deploy a stand-alone license

  1. While creating a deployment, on the Select the License Type page, select Stand-alone license.

  2. Click Next.

Specify the license server model during deployment

If you choose the Network license option, you need to decide which license server model to use to distribute your product licenses - single, distributed or redundant license server model.

If you are deploying a stand-alone or multi-seat stand-alone installation type, you do not use a license server model. For more information on server models, see How to Choose a License Server Model.

To deploy a network license using a single license server model

  1. While creating a deployment, on the Select the License Type page, select the Network License option.
  2. Select Single License Server as the license server model you want to use with the Network License Manager.

    If you have already used the Network License Manager to create a license server model, you must select the same license server model in this step. If you have not yet used the Network License Manager to create a license server model, make sure that you select the same settings in the Network License Manager that you choose here.

    For detailed information about license server models, see “License Server Models” in the Network Licensing Guide, located in the Help system and on the Documentation link of the Installation wizard.

  3. Enter the server name of the server that will run the Network License Manager, or click the Browse button to locate the server. Click Next.

To deploy a network license using a distributed license server model

  1. While creating a deployment, on the Select the License Type page, select the Network License option.
  2. Select Distributed License Server as the license server model you want to use with the Network License Manager.

    If you have already used the Network License Manager to create a license server model, you must select the same license server model in this step. If you have not yet used the Network License Manager to create a license server model, make sure that you select the same settings in the Network License Manager that you choose here.

    For detailed information about license server models, see “License Server Models” in the Network Licensing Guide, located in the Help system and on the Documentation link of the Installation wizard.

  3. Enter the name of one of the servers that will run the Network License Manager, or click the Browse button to locate the server. Click Add to add the server to the Server Pool. Once all the servers are added to the Server Pool list, use the Move Up and Move Down buttons to arrange the servers in the order you want them to be searched by a user's workstation. You must enter at least two servers. Click Next.

To deploy a network license using a redundant license server model

  1. While creating a deployment, on the Select the License Type page, select the Network License option.
  2. Select Redundant License Server as the license server model you want to use with the Network License Manager.

    If you have already used the Network License Manager to create a license server model, you must select the same license server model in this step. If you have not yet used the Network License Manager to create a license server model, make sure that you select the same settings in the Network License Manager that you choose here.

    For detailed information about license server models, see “License Server Models” in the Network Licensing Guide, located in the Help system and on the Documentation link of the Installation wizard.

  3. In the First Server Name field, enter a server name of one server that will run the Network License Manager, or click the Browse button to locate the server. Enter the server names for the remaining two servers that you will use in the redundant server pool. Click Next.

    NoteIf you are not sure how to obtain the server host name, see “Plan Your License Server Configuration” in the Network Licensing Guide. The Network Licensing Guide is located in the Help system and on the Documentation link of the Installation wizard.


Select the Installation Type (optional)

Select a License Type (optional)
Use the Installation Wizard to Set Up a Deployment
Define Search Paths and File Locations (optional)
AutoCAD 2009 Network Administrator's Guide > Deploy the Program > Use the Installation Wizard to Set Up a Deployment >
Select the Installation Type (optional)

As part of making your deployment choices, you select the type of installation that users receive when they install the program, choose which optional tools or features are included, and specify where the product is installed on each workstation.

  • Typical. Installs the most common application features. This option is recommended for most users.
  • Custom. Installs only the application features that you select.

You can also choose to include Express Tools and the Material Library with this deployment.

  • Express Tools. Express Tools are available in their original form, in English only, and are not supported. No updates have been made to the tools. Double-byte characters are not supported.
    NoteSome Express Tools have been integrated into AutoCAD 2009. For a full list of tools that have been integrated, see the FAQ section in the Express Tools Help. You can also get help on each integrated command in the product Help system.
  • Material Library. The Material Library contains more than 300 materials that you can apply to your models. The library is organized as a series of tool palettes.

You choose the location where program files are installed on the client workstation in the Product Install Path. To help decide where the product is installed, a chart of drives and disk space is provided.

To deploy a typical installation, choose optional tools and specify a product location

  1. During the deployment, on the Select the Installation Type page, select Typical as the type of installation that you want.

  2. Clear the check box for the Express Tools option if you do not want to include the tools in this deployment. Express Tools are installed by default.
  3. If you want to install the Material Library, select the check box for the Material Library option. The Material library option is cleared by default.
  4. Enter the path on the client workstation where you want to install the program, for example C:\Program Files\AutoCAD 2009, or click the Browse button to specify the install location.

    The Disk Space Requirements chart lets you review available drives and disk space.

  5. Click Next.

To deploy a custom installation, choose optional tools and specify a product location

  1. During the deployment, on the Select the Installation Type page, select the Custom option as the type of installation that you want.

  2. From the Select Features to Install list, select the features that you want to install.

    Your choices are as follows:

    CAD Standards | Contains tools for reviewing design files for compliance with your standards.
    Database | Contains database access tools.
    Dictionaries | Contains multi-language dictionaries.
    Drawing Encryption | Allows you to use the Security Options dialog box to protect a drawing with a password.
    Express Tools | Contains AutoCAD support tools and utilities (not supported by Autodesk).
    Fonts | Contains AutoCAD fonts and True Type fonts.
    Autodesk Impression Toolbar | The Impression toolbar allows you to quickly export any view to Autodesk Impression for advanced line effects.
    Material Library | The Material library contains over 300 professionally built materials to apply to your model.
    New Features Workshop | Contains animated demos, exercises, and sample files to help users learn the new features.
    Portable License Utility | Contains portable license management tools.
    Migrate Custom Settings | Migrates custom settings and files from a previous version of your product to this version. See Migrate Custom Settings.
    Reference Manager | Allows users to view and edit the paths of externally referenced files associated with a drawing.
    Samples | Contains various feature sample files.
    Tutorials | Contains tutorials.
    VBA Support | Contains Microsoft Visual Basic for Applications support files.
    NoteAutodesk Impression availability is limited. Please check your local Autodesk website to see if Impression is available in your country.

    If, after making feature changes, you decide you want the original selections, click the Restore Defaults button.

  3. Enter the path on the client workstation where you want to install the program, for example C:\Program Files\AutoCAD 2009, or click the Browse button to specify the install location.

    The Disk Space Requirements chart lets you review available drives and disk space.

  4. Click Next.


Define Search Paths and File Locations (optional)

Select the Installation Type (optional)
Use the Installation Wizard to Set Up a Deployment
Install Additional Files (optional)
AutoCAD 2009 Network Administrator's Guide > Deploy the Program > Use the Installation Wizard to Set Up a Deployment >
Define Search Paths and File Locations (optional)

On the Define Search Paths and File Locations page, you can modify the default search paths and the location of some program files. You might want to modify the default settings for the following reasons:

  • If your CAD environment uses a file (such as a customization file or plug-ins) other than the default file that's installed with the program, you can point to that file now and avoid having to add it at each workstation.
  • Some default file locations may have changed in this version of the program. You can use this page if you have an earlier version of the program, and you want to move the files to the same file location as your earlier version of the program.
NoteYou can also modify the search paths and file locations for individual workstations after you have installed the program. You do this by using the Options dialog box. For more information, see Specify Search Paths and File Locations in the User's Guide.

To use the default program settings for search paths and file locations

  • While creating a deployment, on the Define Search Paths and File Locations page, click Next.

To modify the default program settings for search paths and file locations

  1. While creating a deployment, on the Define Search Paths and File Locations page, in the Define Search Paths, File Names, and File Locations list, click the plus sign (+) to the left of a search path or file location to select and expand it.

  2. Select an item in the list and do any of the following:
    • To browse to a file location, click Browse.
    • To add a new entry to the currently selected search path or file location, click Add.
    • To remove an entry from the currently selected search path or file location, click Remove.
    • To move a selection up or down in the list, click Move Up or Move Down.
    NoteThe availability of these buttons depends on the item that you selected in the previous step.
  3. When you finish specifying search paths or file locations, click Next.


Install Additional Files (optional)

Define Search Paths and File Locations (optional)
Use the Installation Wizard to Set Up a Deployment
Specify User Preferences (optional)
AutoCAD 2009 Network Administrator's Guide > Deploy the Program > Use the Installation Wizard to Set Up a Deployment >
Install Additional Files (optional)

On the Install Additional Files page, when you click Browse, you can specify additional files to include with a deployment. By default, these files are installed in the program's installation directory on client workstations when the deployment is run. You can install files to multiple directories if desired.

You can perform the following operations:

  • Specify additional files (such as drawing files, AutoLISP® routines, or script files) to include with your deployment.
  • Install different types of files to different workstation directories.
  • Add subfolders under the installation folder (for example, a folder called LSP to contain custom AutoLISP routines).
  • Add files to the same location as program files (for example, add sample drawings for a project).
  • Add files to the root of the installation directory.
NoteIt is recommended that you install these files to a location within the program's directory structure. You cannot install files with the same file name as an installed program file. For example, you cannot add a file named acad.cui.

To install additional files

  1. While creating a deployment, on the Install Additional Files page, set the location where file will get installed.

  2. Do any of the following:
    • Click Browse to open the Add Files dialog box, where you can select files to add to the installation directory.
    • Click Add Folder to create a new folder in the installation directory.
    • Click Add Drive to add a drive name to the file location structure. The drive name must be a valid drive letter and colon, for example C: or F:. Uniform Naming Convention (UNC) paths are not supported.
    • Click Remove to delete a file, folder, or drive from the installation directory.
  3. Click Next.


Specify User Preferences (optional)

Install Additional Files (optional)
Use the Installation Wizard to Set Up a Deployment
Include Service Packs (optional)
AutoCAD 2009 Network Administrator's Guide > Deploy the Program > Use the Installation Wizard to Set Up a Deployment >
Specify User Preferences (optional)

On the Specify User Preferences page, you can specify whether installations based on this deployment can proceed if Microsoft Internet Explorer is not installed, specify a default profile name, choose to display the product shortcut icon on the desktop, or create a custom desktop shortcut.

To specify user preferences settings

  1. While creating a deployment, on the Specify User Preferences page, clear the check box for the Internet Explorer option if you do not require Microsoft Internet Explorer to be installed before AutoCAD is installed.

  2. In the Default Profile Name box, specify a default profile name that will be current for all users who run the deployment and the default text editor.
  3. Clear the check box for Create an AutoCAD 2009 Desktop Shortcut if you do not want the product shortcut icon to appear on the user's desktop.
  4. If you want to create a custom desktop shortcut, specify a shortcut name and any parameters, such as switches that will call profiles, startup scripts, and so on.

  5. Click Next.


Include Service Packs (optional)

Specify User Preferences (optional)
Use the Installation Wizard to Set Up a Deployment
Configure InfoCenter Communication Center (optional)
AutoCAD 2009 Network Administrator's Guide > Deploy the Program > Use the Installation Wizard to Set Up a Deployment >
Include Service Packs (optional)

During the deployment process, you can choose to include service packs that have been posted for your product. The installer automatically checks autodesk.com for available updates. If updates are available, a link is displayed (Updates are available). If no updates are available, the link is not displayed.

When you include a service pack, you can also specify how it will be handled. You can choose from the following;

  • Append the Service Packs onto the Deployment. When you append a service pack, the service pack is applied to the current deployment only. Multiple service packs may be appended to a deployment. The service pack file is included in the deployment and the service pack is applied after the product is deployed.
  • Merge the Service Packs into the Administrative Image MSI File. When you merge a service pack, the service pack is merged into the administrative image. Once merged, a service pack may not be removed from the administrative image. Multiple service packs may be included in a single administrative image.

To extract an MSP file from a service pack

  1. Download the service pack from the Autodesk product support site.
  2. Review the service pack Readme file for information about patch usage.
  3. Open a Windows command prompt and enter the patch file name followed by the /e switch and a target file name, such as:

    ProductSP1.exe /e ./ProductSP1.msp

    where <ProductSP1.exe> is the name of the downloaded patch and <ProductSP1.msp> is the name of the extracted file. Using ‘./’ in front of the extraction file name places the extracted file in the same folder as the original executable.

    NoteTo find out if a service pack is available, visit the Autodesk Product Support page at http://support.autodesk.com/.

To include a service pack with the deployment

To include a service pack with a deployment, an MSP file must be extracted from the downloaded service pack executable.

  1. On the Include Service Packs page, click the Browse button.
  2. In the Open dialog box, locate the service pack you want to include with the deployment.
  3. Select the MSP file and click Open.
  4. Specify whether you want to append the service pack on to the deployment or merge the service pack into the administrative image.
  5. Click Next.


Configure InfoCenter Communication Center (optional)

Include Service Packs (optional)
Use the Installation Wizard to Set Up a Deployment
Allow Users to Access Online Resources (optional)
AutoCAD 2009 Network Administrator's Guide > Deploy the Program > Use the Installation Wizard to Set Up a Deployment >
Configure InfoCenter Communication Center (optional)

The Communications Center is accessed through InfoCenter. Products are updated with Live Update, which downloads patches to your product using Communication Center. Beyond Live Update, other information channels and feeds can be displayed by the Communication Center.

The Communication Center settings you can make include

  • Enable Live Updates. Users can use Live Update to check for updates when a web connection is established. If a product patch is available, notification of its availability is received on the program's status bar, and the patch can be either downloaded directly from an Autodesk server or modified first before being copied to users' workstations. If you don't want users to receive updates or announcements, you can turn off Live Update.
    NoteYou can also turn Live Update options on or off in the CAD Manager Control utility. See How to Install and Start the CAD Manager Control Utility
  • Enable Information Channels. When active, information channels notify users with various pieces of information such as subscription announcements and product support information.
  • Enable CAD Manager Channel. Controls the display of the CAD Manager Channels in InfoCenter. Aside from being able to toggle CAD Manager Channels, you can also define the CAD Manager feed location and set the display name for the CAD Manager Channel.
  • Enable RSS Feeds. Users can subscribe to any number of RSS feeds. Each feed is contained within a discrete InfoCenter category. Additionally, you can specify whether users can add RSS feeds.

To configure Communication Center

  1. When creating a deployment, on the Configure InfoCenter Communication Center page, make the following Live Update settings:
    • Enable Live Updates. Users can receive product updates or support announcements from Autodesk servers.
    • Receive Live Updates from Autodesk. Users can receive product updates and support announcements from Autodesk servers with Live Update.
    • Receive Live Updates from Internal Server. You can maintain a patch list on a local server. If you select this option, the Local Patch List Location box is available. Use the Browse button to locate the path to a server location where you want a patch list. More information about how to use a local patch list is available by installing Autodesk CAD Manager Tools 4.0, running the CAD Manager Control utility, and then clicking Help in the CAD Manager Control utility window.
      NoteYou can name a file to use for patch information. By naming a file and using an .npl extension now, you are creating a placeholder file, not creating the file itself. In the location that you specify in the Local Patch List Location box, you must create a text file with the same name you specify here.
  2. Specify whether Information channels should be enabled.
  3. Specify whether CAD Manager channels should be enabled. When active, you can make the following settings:
    • Feed Location. Defines the location of the CAD Manager channel RSS feed. RSS feeds are in XML format.
    • Display Name. Sets the display name of the CAD Manager channel.
  4. Specify whether RSS Feeds are enabled and if users are allowed to add feeds.
  5. Click Next.


Allow Users to Access Online Resources (optional)

Configure InfoCenter Communication Center (optional)
Use the Installation Wizard to Set Up a Deployment
Final Review and Complete Setup
AutoCAD 2009 Network Administrator's Guide > Deploy the Program > Use the Installation Wizard to Set Up a Deployment >
Allow Users to Access Online Resources (optional)

On the Configure Access to Online Resources pages, you can specify whether users can access online resources such as receiving live updates from Autodesk, enabling information or CAD Manger channels, or subscribing to RSS feeds. You can also allow access to the DesignCenter and Subscription Center, specify Customer Error Reporting and InfoCenter settings.

DesignCenter and Subscription Center

The DC Online tab in DesignCenter® provides access to predrawn content such as blocks, symbol libraries, manufacturers' content, and online catalogs. This content can be used in common design applications to assist users in creating drawings. If you turn off DC Online, the DC Online tab is removed from all installations that are based on this deployment. The Enable DC Online option is active by default.

Subscription Center provides Autodesk subscription members access to resources such as e-Learning (self-paced, interactive lessons) and web support (where customers can submit technical questions online to Autodesk support staff).

You can determine whether users who are entitled to subscription resources can access them by using Help and clicking a Subscription resource. Users who do not have such access can still learn about subscription resources by using the same option on the Help menu.

NoteYou can also enable or disable DesignCenter Online and Subscription Center access from the CAD Manager Control utility.

Customer Error Reporting (CER)

If AutoCAD closes unexpectedly, users have the opportunity to send an error report directly to Autodesk, which helps Autodesk to determine and resolve the error. You can determine whether users can also receive notification from Autodesk when their reported errors are resolved.

NoteYou can also turn Customer Error Reporting notification on or off in the CAD Manager Control utility.

Configure InfoCenter Search Settings

The Search Results tab of InfoCenter can be configured to display content from various sources, such as the product Help system, CAD Manager Channels, or the Internet.

You can specify whether users who install from the deployment can customize access to their InfoCenter search locations.

To configure access to online resources

  1. While creating a deployment, on the Configure Access to Online Resources page, do one of the following to configure DesignCenter Online:
    • To disable DesignCenter Online, make sure that the check box next to Enable DC Online is cleared.
    • To enable DesignCenter Online, select the check box next to Enable DC Online.
  2. To allow access to the Subscription Center, select or clear the check box next to Allow Access to Subscription Center from Within the Autodesk Product (Recommended). This option is enabled by default.
  3. If you want to receive notification of problem resolutions, do the following:
    • Select the check box next to Allow Users to Receive Notification of Resolution so that users are made aware of resolutions to issues and can download applicable updates provided by Autodesk. This option is enabled by default.
      NoteUsers must have administrative permissions to install an update provided by Autodesk.
    • Select the check box next to Include Computer Name to include the user’s computer name in error reports. The computer name is included in notifications to the user and in reports available to subscription administrators. This option is disabled by default.
  4. Lastly, specify whether users have the option to customize their InfoCenter search locations. This option is enabled by default.
  5. Click Configuration Complete.


Final Review and Complete Setup

Allow Users to Access Online Resources (optional)
Use the Installation Wizard to Set Up a Deployment
Register the Product
AutoCAD 2009 Network Administrator's Guide > Deploy the Program > Use the Installation Wizard to Set Up a Deployment >
Final Review and Complete Setup

To complete your deployment setup, confirm the settings you selected.

To confirm and complete the setup of a network deployment

  1. After making all your deployment settings, on the Review - Configure - Create Deployments page, scroll the list of current settings and verify your installation selections.

  2. If you want to change any selections you made for the deployment, click the Configure button.
  3. If you want a hardcopy of the installation information displayed on this page, click the Print button.
  4. If you are ready to complete the deployment, click Create Deployment.
  5. On the Deployment Complete page, click Finish.

To confirm and complete the setup of a multi-seat stand-alone deployment

  1. After making all your deployment settings, on the Review - Configure - Create Deployments page, scroll the list of current settings and verify your installation selections.

  2. If you want to change any selections you made for the deployment, click the Configure button.
  3. If you want a hardcopy of the installation information displayed on this page, click the Print button.
  4. If you are ready to complete the deployment, click Create Deployment.
  5. On the Deployment Complete page, click Register Products Online.

    Registration at this stage ensures that consistent data is being used to streamline product activation. When a user installs from this deployment and runs the product, registration data is automatically referenced and the product gets activated. See Register the Product.

  6. Click Finish.

You have created an Autodesk product deployment with precise options that are specific to your group of users. You can now inform those using this deployment where the administrative image is located so that they can install the program.


Register the Product

Final Review and Complete Setup
Use the Installation Wizard to Set Up a Deployment
Modify a Deployment (optional)
AutoCAD 2009 Network Administrator's Guide > Deploy the Program > Use the Installation Wizard to Set Up a Deployment >
Register the Product

It is very important that the registration data (for example, your company name and contact information) you supply when registering and activating your products is consistent across all Autodesk products that you install. If you enter this data incorrectly or inconsistently, you can run into activation problems.

The way products are registered depends upon the type of license you selected while creating the deployment. In order to receive an activation code, your product must be registered.

To register a network licensed deployment

  1. On the Start menu (Windows), click All Programs (or Programs) [image] Autodesk [image] Network License Manager [image] AutoCAD 2009 Network License Activation Utility.
  2. On the Obtain a Network License page, review how this utility works and the requirements for using it, and then click Next.
  3. Follow the on-screen instructions to complete the registration and activation.

To register a multi-seat stand-alone licensed deployment

  1. On the Deployment Complete page, click Register Products Online.

    The Register Today page is displayed. You complete Register Today at this point so that all users have the same default registration information.

  2. In the Register Today wizard, follow the on-screen instructions to complete the registration.
NoteThis process only registers the product. If users are connected to the Internet, activation occurs automatically when the product is started.


Modify a Deployment (optional)

Register the Product
Use the Installation Wizard to Set Up a Deployment
Point Users to the Administrative Image
AutoCAD 2009 Network Administrator's Guide > Deploy the Program > Use the Installation Wizard to Set Up a Deployment >
Modify a Deployment (optional)

After a deployment is created, it may be necessary to modify the deployment for some client workstations. You can apply a patch or select various custom files that are not part of the base administrative image. You can also perform modifications such as changing the installation directory from drive C to drive D.

To modify a deployment

  1. Open the shared network folder where you originally chose to place your product deployment.
  2. In the Tools folder, double-click the Create & Modify a Deployment shortcut.

    This re-opens the Installation wizard.

  3. Click through the deployment pages and make the necessary changes.
  4. After all the modifications have been made, click Create Deployment.


Point Users to the Administrative Image

Modify a Deployment (optional)
Deploy the Program
Uninstall the Program
AutoCAD 2009 Network Administrator's Guide > Deploy the Program >
Point Users to the Administrative Image

When you have completed the deployment process, you are ready to have users install the newly created or modified deployment. You need to notify your users of the shortcut that was created in the administrative image. The shortcut is the same name that you chose in Create a Deployment.

To point users to the administrative image

  • The simplest method of notifying users how to install the deployment is to email them with instructions about using the shortcut. At a minimum, the instructions need to include the location of the deployment and instructions about double-clicking the shortcut to the deployment.
NoteFor more advanced ways of using the shortcut and installing the deployment, see Use Scripts to Deploy the Program, Use Group Policies to Install a Deployment, or Use Microsoft System Center Configuration Manager to Install a Deployment.


Uninstall the Program

Point Users to the Administrative Image
Deploy the Program
Use Scripts to Deploy the Program
AutoCAD 2009 Network Administrator's Guide > Deploy the Program >
Uninstall the Program

When you uninstall AutoCAD 2009, all components are removed in the process. This means that even if you have previously added or removed components, or if you have reinstalled or repaired the program, uninstalling removes all program installation files from your system.

NoteIf you plan to modify an administrative image at a later date (for example, by adding a patch to it), do not remove that image.

To uninstall the program

  1. In the Windows Control Panel, click Add or Remove Programs.
  2. In the Add/Remove Programs window, select AutoCAD 2009, and then click Change/Remove.
  3. When the Installation wizard opens, choose Uninstall AutoCAD 2009.
  4. On the Uninstall AutoCAD 2009 page, click Next to remove AutoCAD from the system.
  5. When informed that the product has been successfully uninstalled, click Finish.
NoteAutodesk programs that you use with the program (such as Autodesk Design Review Review 2009) are not removed automatically when you uninstall AutoCAD. You must uninstall them separately using Add or Remove Programs.


Use Scripts to Deploy the Program

Uninstall the Program
Create Scripts That Install Programs
AutoCAD 2009 Network Administrator's Guide >
Use Scripts to Deploy the Program

A script executes a command or a set of commands. Scripts are similar to batch files but are more flexible. Installation scripts are most useful for stand-alone installation of programs on computers that are connected to a network. Scripts are also useful for installing service packs, extensions, and object enablers on a network.

In order for AutoCAD to run properly, the following software and prerequisites must be installed and met on the computer where the program is being installed:

  • Microsoft Internet Explorer version 6.0 Service Pack 1 or later (You can download Microsoft Internet Explorer from the Microsoft website by visiting www.microsoft.com)
  • Microsoft Scripting Engine

    The sample scripts in this section are based on Microsoft Scripting Engine 5.6, which works with both VBScripts and JavaScript. If you don't have the scripting engine installed, you can download it for free from the Microsoft website at www.msdn.microsoft.com/scripting. Sample scripts and Help files are also available there for download.

  • Administrative permissions

Topics in this section

  • Create Scripts That Install Programs
  • A Sample Installation Script
  • Use Switches and Flags in Scripts
  • Run Scripts


Create Scripts That Install Programs

Use Scripts to Deploy the Program
Use Scripts to Deploy the Program
A Sample Installation Script
AutoCAD 2009 Network Administrator's Guide > Use Scripts to Deploy the Program >
Create Scripts That Install Programs

You create a script by using a text editor such as Notepad and then saving it in ASCII format in a file with the file extension .vbs. The script consists of one or more commands, as well as command switches that specify options, and flags that modify the options. An installation script also contains path names.

An installation script points to the location of the product's setup.exe file. You must point to the setup.exe file on your product CD. For example:

AutoCAD 2009 CDROM1\setup.exe


A Sample Installation Script

Create Scripts That Install Programs
Use Scripts to Deploy the Program
Use Switches and Flags in Scripts
AutoCAD 2009 Network Administrator's Guide > Use Scripts to Deploy the Program >
A Sample Installation Script

The sample script in this section installs the program in a typical configuration. To make it easy to copy this sample script and substitute your own information, the same names are used throughout for variable items. The log file name is based on the product being installed. You can either use the log file name in the script or change it to something else.

Serial number prefix: 123

Serial number: 12345678

First name: Your First Name

Last name: Your Last Name

Organization: Your Company Name

A sample script for a silent installation of this program uses the syntax shown in this section.

Scripted installation for AutoCAD 2009

' Scripted installation for AutoCAD 2009
option explicit
'
' Create variables
dim x64bit
dim shell
dim productType
dim featuresToInstall
dim strADSKFirstName
dim strADSKLastName
dim strADSKOrganization
dim strADSKSercirity
dim strADSKSerialIsvalid
dim strADSKAccept
dim strADSKEula
dim strADSKReInstall
dim strADSKRemove
dim strADSKSNPrefix
dim strADSKSNNumber
dim strInstallLevel
dim strACADStandaloneNetworkType
dim strADSKLicenseServerType
dim strADSKLicenseType
dim strADSKServerFmtPath
dim strADSKServerPath
dim strADSKServerHostID
dim strADSKPath
dim strSourcePath
dim strAdditionalStuff
'
' Script initialization
Set shell = CreateObject("WScript.Shell")
productType = "acad"
'
' Name and Organization information
strADSKFirstName = "Your First Name"
strADSKLastName = "Your Last Name"
strADSKOrganization = "Your Organization Name"
'
' Serial Number information
strADSKSNPrefix = "123"
strADSKSNNumber = "45678901"
'
' Source to install from (e.g. D: is assumed to be Install Media)
strSourcePath = "D:\"
' Destination to install to
strADSKPath = Shell.ExpandEnvironmentStrings("%ProgramFiles%")  + "\AutoCAD 2009"
'
' Features to install
' ACS - AutoCAD Samples
' CADStandards - CAD Standards
' ContentSearch - Content Search
' Database - Database (DBCONNECT)
' DCS - DesignCenter Samples
' DigSig - Digital Signatures
' Dictionaries - Dictionaries
' DrawingEncryption - Drawing Encryption
' Express_Tools - Express Tools
' Fonts - Fonts
' Impression - Autodesk Impression Toolbar
' Materials - Materials Library
' Migrate - Migrate Custom Settings
' NFW - New Features Workshop
' PLM - Portable License Utility
' RefMan - Reference Manager
' System_Files - Required system files (must be installed by default- in this script)
' TM - Texture Maps
' VBA - Visual Basic for Applications
' VLS - Visual LISP Samples
' VLT - Visual LISP Tutorials
'
' Sample is below - Note the leading comma
featuresToInstall = ",DigSig,TM,CADStandards,ContentSearch,Database,Dictionaries,DrawingEncryption,Express_Tools,Fonts,NFW,Migrate,RefMan,Samples,ACS,DCS,VBA,Materials,PLM,VLS,VLT"
strInstallLevel=3 ' 5 installs everything - 3 installs typical - 0 uses featuresToInstall
'''''' Uncomment the relevant version of your installation - Default is Standalone
' For Standalone
RunStandaloneInstall()
'
' For Single Network License Server
'RunSingleLicenseServerInstall()
'
' For Redundant Network License Servers
'RunRedundantLicenseServerInstall()
'
' For Distributed Network License Servers
'RunDistributedLicenseServerInstall()
'
' End of Script
Wscript.quit()
'
Function RunStandaloneInstall
shell.run DefaultCommand(),2,1
end function
'
Function RunSingleLicenseServerInstall
' Update with the correct information for the license server
strACADStandaloneNetworkType = "3"
strADSKLicenseServerType = "Single Server License"
strADSKLicenseType = "Network License"
strADSKServerPath = "myFlexServer"
' HOSTID or MAC address
strADSKServerHOSTID = "000000000000"
'
' Consolidate the two values
strADSKServerPath = strADSKServerPath & " " & strADSKServerHOSTID
shell.run MakeCommand(),2,1
end function
'
Function RunRedundantLicenseServerInstall
' Update with the correct information for the license servers
strACADStandaloneNetworkType = "3"
strADSKLicenseServerType = "Redundant Server License"
strADSKLicenseType = "Network License"
'
' Format is SERVERNAME1 MACADDR1 PORT1;SERVERNAME2 MACADDR2 PORT2; SERVERNAME3 MACADDR3 PORT3; - Only 3 permitted for redundant servers
strADSKServerPath = " myflex1 000000000000 27005; myflex2 000000000000 27005; myflex3 000000000000 27005;"
shell.run MakeCommand(),2,1
end function
'
Function RunDistributedLicenseServerInstall
' Update with the correct information for the license servers
strACADStandaloneNetworkType = "3"
strADSKLicenseServerType = "Distributed Server License"
strADSKLicenseType = "Network License"
'
' Format is @SERVERNAME1;SERVERNAME2;SERVERNAME3;
strADSKServerPath = "@ myFlexServer;@ myFlexServer2;@ myFlexServer3;"
'
shell.run MakeCommand() & "ACAD_LICENSESERVER_DISTRIBUTED=1",2,1
end function
'
Function DefaultCommand
dim retString
' /q for silent install ' /c [key] override parameters for the key
retString = """" & strSourcePath & "D:\setup.exe" & """" & " /t /q /c " & productType & ": "
retString = retString & "INSTALLDIR=" & """" & strADSKPath & """" & " "
retString = retString & "ACADSERIALPREFIX=" & strADSKSNPrefix & " "
retString = retString & "ACADSERIALNUMBER=" & strADSKSNNumber & " "
retString = retString & "ACADFIRSTNAME=" & """" & strADSKFirstName & """" & " "
retString = retString & "ACADLASTNAME=" & """" & strADSKLastName & """" & " "
retString = retString & "ACADORGANIZATION=" & """" & strADSKOrganization & """" & " "
if strInstallLevel = 0 then
retString = retString & "ADDLOCAL=" & """" & "System_Files" & featuresToInstall & """" & " "
else
retString = retString & "InstallLevel=" & strInstallLevel & " "
DefaultCommand = retString & " "
end if
DefaultCommand = retString & " "
end function
'
Function MakeCommand
dim retString
retString = DefaultCommand() & " "
retString = retString & "ACADSTANDALONENETWORKTYPE=" & """" & strACADStandaloneNetworkType & """" & " "
retString = retString & "ACADLICENSESERVERTYPE=" & """" & strADSKLicenseServerType & """" & " "
retString = retString & "ACADLICENSETYPE=" & """" & strADSKLicenseType & """" & " "
retString = retString & "ACADSERVERPATH=" & """" & strADSKServerPath & """" & " "
MakeCommand = retString
end function


Use Switches and Flags in Scripts

A Sample Installation Script
Use Scripts to Deploy the Program
Run Scripts
AutoCAD 2009 Network Administrator's Guide > Use Scripts to Deploy the Program >
Use Switches and Flags in Scripts

The following table lists all of the switches and flags that are relevant to installation.

Note You must set the installation switch to INSTALLDIR=. If this is not done, programs that run outside AutoCAD (such as the Portable License utility) are not installed.

Switches in Installation Scripts

Switch

Description

INSTALLDIR=

Specifies the location to install the product.

ACADSERIALPREFIX=

Specifies the numbers that precede the hyphen in the serial number.

ACADSERIALNUMBER=

Specifies the serial number.

INSTALLLEVEL=

Specifies the type of installation: 3=Typical

ACADFIRSTNAME=

Specifies the first name personalization.

ACADLASTNAME=

Specifies the last name personalization.

ACADORGANIZATION=

Specifies the company name.

ADDLOCAL=

Used for customized installations where you designate specific features to install.

See Scripts for Custom Installations.

User Interface Flags
Flag | Description
q | Designates that the installation is performed in silent mode.


Run Scripts

Use Switches and Flags in Scripts
Use Scripts to Deploy the Program
Use Group Policies to Install a Deployment
AutoCAD 2009 Network Administrator's Guide > Use Scripts to Deploy the Program >
Run Scripts

After creating a script, you move it to a server or use a mapped drive letter or a UNC (universal naming convention) path. If you place it on a server for users to run, create a share on the server, and then add users to the share with the rights they need. Because all that users need to do is run the script, provide read-only access to the share directory.

Next (on the same server or on a different server), create a directory for each product you want to install. Choose a location for this directory that won't be changed so that you can point to the MSI files in your scripts. Copy the product CD(s) to that directory. You may also want to create directories for service packs, extensions, and your own customization tools.

You can use any of the following methods to run an installation script:

  • Run the script manually at each individual workstation. To run the installation, paste the script into the Run dialog box or run it from the Windows command prompt.
  • Send an email with the UNC path to each user who should run the script. To run the script, the user follows your instructions.
  • Email the script to each user with instructions for use.
  • Set up the script so that it runs on login.


Use Group Policies to Install a Deployment

Run Scripts
Introduction
AutoCAD 2009 Network Administrator's Guide >
Use Group Policies to Install a Deployment

With group policies, you can advertise this program by assigning the deployment to computers.

In order for AutoCAD to run properly, the following software must be installed on the computer where the program is being installed:

  • Microsoft .NET 3.0 (available on the product CD)
  • Microsoft Internet Explorer version 6.0 Service Pack 1 or later (You can download Microsoft Internet Explorer from the Microsoft website by visiting www.microsoft.com).
  • Microsoft Installer Package (MSI) 3.1
  • Microsoft Windows Media Format 9.5 (prerequisite for 64-bit)
  • Macromedia Flash Player 9.0 (not installed by default)
  • Autodesk Design Review 2009 (not installed by default)
  • VC runtimes for x86 and x64 for 64-bit deployments

Topics in this section

  • Introduction
  • Distribute a Deployment Through Group Policies
  • Assign a Deployment to Computers
  • Verify the Installation of a Deployment


Introduction

Use Group Policies to Install a Deployment
Use Group Policies to Install a Deployment
Assign a Deployment Using Group Policies
AutoCAD 2009 Network Administrator's Guide > Use Group Policies to Install a Deployment >
Introduction

With group policy objects, this program can be advertised to any computer that is part of Windows 2000, Windows XP, and Windows 2003 Server Active Directory environments.

Topics in this section

  • Assign a Deployment Using Group Policies
  • Advantages and Disadvantages of Using Group Policies


Assign a Deployment Using Group Policies

Introduction
Introduction
Advantages and Disadvantages of Using Group Policies
AutoCAD 2009 Network Administrator's Guide > Use Group Policies to Install a Deployment > Introduction >
Assign a Deployment Using Group Policies

Assign a deployment that was created during the deployment process by the Installation wizard to a computer. Assigning a deployment to a computer installs the program the next time the computer is restarted.

A deployment that is assigned to a computer can be used by any user of that computer. Generally, you should assign the program to a computer if the computer is used by a large number of users.

NoteAutodesk products are designed to be installed on a computer so that any user who logs on to the computer can run the software. If you attempt to assign this program for a specific user rather than a computer, you may encounter problems when a second specified user tries to install or uninstall a copy of the program.


Advantages and Disadvantages of Using Group Policies

Assign a Deployment Using Group Policies
Introduction
Distribute a Deployment Through Group Policies
AutoCAD 2009 Network Administrator's Guide > Use Group Policies to Install a Deployment > Introduction >
Advantages and Disadvantages of Using Group Policies

The following table outlines the advantages and disadvantages of using group policies.

Advantages and disadvantages of group policies

Advantage

Disadvantage

  • Works well with the deployment functionality of the Installation wizard.
  • Cannot pass command-line parameters to MSI executable. The solution is to use scripts.
  • Easy to add custom files through the deployment functionality of the Installation wizard.
  • Deployed to workstation.
  • Cannot customize application settings other than what is set while creating a deployment with the Installation wizard.
  • Simple to implement.


Distribute a Deployment Through Group Policies

Advantages and Disadvantages of Using Group Policies
Use Group Policies to Install a Deployment
Assign a Deployment to Computers
AutoCAD 2009 Network Administrator's Guide > Use Group Policies to Install a Deployment >
Distribute a Deployment Through Group Policies

There are three main steps to distributing this program through group policies.

  1. Create an application distribution share point. The application distribution share point is created using the Deployment wizard. Follow the steps outlined in Use the Installation Wizard to Set Up a Deployment to create a deployment.
  2. Assign the program to a computer.
  3. Verify the installation. Make sure that the program has been correctly installed.


Assign a Deployment to Computers

Distribute a Deployment Through Group Policies
Use Group Policies to Install a Deployment
Verify the Installation of a Deployment
AutoCAD 2009 Network Administrator's Guide > Use Group Policies to Install a Deployment >
Assign a Deployment to Computers

When the program is assigned to a computer, it is available to all users of the computer. The following procedures must be run from the server that has access to the Windows 2003 Server, Windows XP, or Windows 2000 Active Directory for assigning this program to computers.

To assign a deployment to a computer

  1. On the Start menu (Windows), click All Programs (or Programs) [image] Administrative Tools [image] Active Directory Users and Computers.
  2. In the Active Directory Users and Computers window, right-click the organizational unit where you want to create the group policy object. Then click Properties.

    The Properties dialog box for the organizational unit you selected is displayed.

    NoteIn order for the group policy object to take effect, the computer objects must be located in the organizational unit you have selected.
  3. In the Properties dialog box, on the Group Policy tab, click New. Enter a name for the group policy object. For example, enter AutoCAD Computer Assigned Installation.

    The group policy is created and is added to the Group Policy Object Links list.

  4. In the Group Policy Object Links list, click the policy you just created, and then click Edit.
  5. Do one of the following:
    • For Windows 2003 Active Directory: In the Group Policy Object Editor window, under Computer Configuration, click the plus sign (+) next to the Software Settings folder to expand it.
    • For Windows 2000 Active Directory: In the Group Policy window, under Computer Configuration, click the plus sign (+) next to the Software Settings folder to expand it.
  6. Under Software Settings, right-click Software Installation, and then click Properties.
  7. In the Software Installation Properties dialog box, on the General tab, click Browse.
  8. In the Browse for Folder dialog box, locate the application distribution share point created in the Deployment wizard, and select the AdminImage folder. Then click OK.

    The Software Installation Properties dialog box displays (in UNC format) the default package location, the server name, the shared folder that you selected, and AdminImage. For example:

    \\server123\Deployment\AdminImage\x86 or x64 depending on the process type

  9. Do one of the following:
    • For Windows 2003 Active Directory: On the General tab, under New Packages, click Advanced to specify a method to be used when a new package is created. This method also allows the transform file created by the Deployment wizard to be selected.
    • For Windows 2000 Active Directory: On the General tab, under New Packages, click Advanced Published or Assigned to specify a method to be used when a new package is created. This method also allows the transform file created by the Deployment wizard to be selected.
  10. Click OK to close the Software Installation Properties dialog box.
  11. Do one of the following:
    • For Windows 2003 Active Directory: In the Group Policy Object Editor dialog box, under Software Settings, right-click Software Installation, and click New [image] Package.
    • For Windows 2000 Active Directory: In the Group Policy dialog box, under Software Settings, right-click Software Installation, and click New [image] Package.
  12. In the Open dialog box, make sure the Windows Installer Packages file (acad.msi) is selected, and click Open. This default selection is the application distribution share point that you set earlier.

    If you created the administrative image in a location different from the application distribution share point, find the administrative image location, and click acad.msi.

  13. In the <product name> Properties dialog box, click the Deployment tab. Under Deployment Type, verify that Assigned is selected.
  14. On the Modifications tab, click Add.
  15. In the Open dialog box, click the transform package file (.mst) created by the Deployment wizard, and then click Open.

    If you created the administrative image in a location different from the application distribution share point, find the administrative image location and select the transform package file (.mst).

  16. In the <product name> Properties dialog box, on the Modifications tab, the transform package you selected is added to the Modifications list. Click OK.
    NoteYou must select the transform package file created by the Deployment wizard when you created the group policy object. You cannot add or remove transform package files after the group policy object has been created. If you fail to select a transform package file, the program cannot be installed on the client computer.
  17. Do one of the following:
    • For Windows 2003 Active Directory: In the Group Policy Object Editor window, under Computer Configuration, click Software Installation. The newly created program package is displayed in the right pane.
    • For Windows 2000 Active Directory: In the Group Policy window, under Computer Configuration, click Software Installation. The newly created program package is displayed in the right pane.
  18. Do one of the following:
    • For Windows 2003 Active Directory: Close the Group Policy Object Editor window and any other open Active Directory windows.
    • For Windows 2000 Active Directory: Close the Group Policy window and any other open Active Directory windows.

This program is assigned to all computers that are members of the organizational unit for which the group policy object has been created. The next time a computer in the organizational unit is restarted, the program will be installed and will be available for all users of the computer. See Verify the Installation of a Deployment to validate that the group policy has been created correctly.


Verify the Installation of a Deployment

Assign a Deployment to Computers
Use Group Policies to Install a Deployment
Verify That the Program Is Assigned to a Computer
AutoCAD 2009 Network Administrator's Guide > Use Group Policies to Install a Deployment >
Verify the Installation of a Deployment

As a computer is restarted, the operating system displays messages about group policy, generally just before or after the Windows Login dialog box is displayed. These messages include the following:

  • Windows starting up
  • Applying computer settings
  • Installing managed software <application>
  • Applying software installation settings
  • Loading your personal settings
  • Applying your personal settings

From a Windows XP or Windows 2000 workstation, users log in under the organizational unit or computer for which the group policy has been created.

NoteIf problems arise, an entry is logged in the system's Event Viewer under Applications.

Topics in this section

  • Verify That the Program Is Assigned to a Computer


Verify That the Program Is Assigned to a Computer

Verify the Installation of a Deployment
Verify the Installation of a Deployment
Use Microsoft System Center Configuration Manager to Install a Deployment
AutoCAD 2009 Network Administrator's Guide > Use Group Policies to Install a Deployment > Verify the Installation of a Deployment >
Verify That the Program Is Assigned to a Computer

To verify that this program has been correctly assigned to a computer, restart a computer that is in the organizational unit for which the group policy was created. The program is installed before the login prompt is displayed. After logging in, double-click the program icon on the desktop. A second-time installation begins. At the completion of the installation, the program starts.


Use Microsoft System Center Configuration Manager to Install a Deployment

Verify That the Program Is Assigned to a Computer
Introduction
AutoCAD 2009 Network Administrator's Guide >
Use Microsoft System Center Configuration Manager to Install a Deployment

This appendix provides details for deploying Autodesk software using Microsoft® System Center Configuration Manager (SCCM). SCCM allows you to manage software distribution to selected target systems through a remote process.

Topics in this section

  • Introduction
  • Tasks for Deploying Autodesk Software with SCCM
  • Set Up a Source Directory Using the Deployment Wizard
  • Create the SCCM Software Installation Package


Introduction

Use Microsoft System Center Configuration Manager to Install a Deployment
Use Microsoft System Center Configuration Manager to Install a Deployment
Tasks for Deploying Autodesk Software with SCCM
AutoCAD 2009 Network Administrator's Guide > Use Microsoft System Center Configuration Manager to Install a Deployment >
Introduction

To deploy Autodesk software, you should be familiar with the SCCM/SMS software distribution process. For more information about this topic, consult your Microsoft SCCM documentation and support resources.


Tasks for Deploying Autodesk Software with SCCM

Introduction
Use Microsoft System Center Configuration Manager to Install a Deployment
Set Up a Source Directory Using the Deployment Wizard
AutoCAD 2009 Network Administrator's Guide > Use Microsoft System Center Configuration Manager to Install a Deployment >
Tasks for Deploying Autodesk Software with SCCM

To deploy Autodesk software with SCCM, it is recommended that you complete the following:

  • Identify or create a collection of target systems to receive the software package
  • Create a source directory using the Deployment wizard
  • Create a SCCM package to deploy to your target systems
  • Provide the path for the source files
  • Distribute the SCCM package to the distribution points
  • Create an advertisement to notify users of the availability of the software package


Set Up a Source Directory Using the Deployment Wizard

Tasks for Deploying Autodesk Software with SCCM
Use Microsoft System Center Configuration Manager to Install a Deployment
Create the SCCM Software Installation Package
AutoCAD 2009 Network Administrator's Guide > Use Microsoft System Center Configuration Manager to Install a Deployment >
Set Up a Source Directory Using the Deployment Wizard

When you use SCCM to deploy Autodesk software, you set up the source directory using the Deployment wizard.

The Deployment wizard creates an administrative image that is used by SCCM to distribute the Autodesk software to the target systems. The location where you perform the administrative installation becomes the location of the package source directory.

To learn more about deployments and setting up the source directory for Autodesk software, see the following topics in the Network Administrator’s Guide:

  • Preliminary Tasks for a Network Deployment
  • Create a Deployment
  • Use the Installation Wizard to Set Up a Deployment
  • Modify a Deployment (optional)
NoteIt is recommended that you test the deployment created by the Deployment wizard before trying to configure SCCM to deploy the program to ensure that there are no problems with the administrative image and deployment.

To test the Deployment wizard deployment

  1. Log on to a Windows XP Professional or Vista workstation as a user who has administrative privileges.
  2. Navigate to the source directory where your deployment was created.
  3. Double-click the deployment shortcut created by the Deployment wizard.

    The program will either be installed or error information will be written to the log file at %temp%.


Create the SCCM Software Installation Package

Set Up a Source Directory Using the Deployment Wizard
Use Microsoft System Center Configuration Manager to Install a Deployment
Distribute the Product Using Imaging Software
AutoCAD 2009 Network Administrator's Guide > Use Microsoft System Center Configuration Manager to Install a Deployment >
Create the SCCM Software Installation Package

After creating the source directory using the Deployment wizard, you create the SCCM software installation package. An SCCM package contains the files and instructions that SCCM uses to distribute the software and advertise the package. The Deployment wizard creates the files and instructions, but SCCM must be configured to use these files.

To create a software installation package using SCCM

  1. On the Start menu (Windows), select All Programs (or Programs) [image] Microsoft System Center [image] Configuration Manager 2007 [image] ConfigMgr Console.
  2. In the Configuration Manager Console window, expand Software Distribution.
  3. Right-click Packages [image] Distribute [image] Software.
  4. In the Distribute Software Wizard, click Next.
  5. In the Package dialog box, select Create a new package and program without a definition file. Click Next.
  6. In the Package Identification dialog box, enter the information for Name, Version, Publisher, Language and any comments. Click Next.
  7. The Source Files dialog defines where SCCM retrieves the files and how it manages them. After making your choice, click Next.
    NoteIn this procedure, “Always obtain files from a source directory” was chosen.
  8. In the Source Directory dialog box, specify the directory where the source files are stored. The source directory should end with AdminImage as the last folder in the source directory name. Click Next.
  9. In the Distribution Points dialog box, select the distribution point(s). This is the location from which the software package will be deployed to the target systems. Click Next.
  10. In the Program Identification dialog box, enter the name of your program. This is the name that displays in Add or Remove Programs in the Control Panel. In the Command Line field, enter setup.exe /i <deployment name>.ini. In this case, our deployment is named AutoCAD 2009, so you would enter setup.exe /i AutoCAD 2009.ini. Click Next.
  11. In the Program Properties dialog box, Program Can Run drop-down box, select how you want your program to install. Your choices are:
    • Only when a user is logged on
    • Whether or not a user is logged on
    • Only when no user is logged on
  12. In the After Running drop-down box, select an action to take after the program has deployed. Your choices are:
    • No action required
    • Program restarts computer
    • ConfigMgr restarts computer
    • ConfigMgr logs user off
    NoteAutoCAD 2009 requires you to restart your system after installation.
    Click Next.
  13. In the Advertise Program dialog box, choose Yes to Advertise the program. Click Next.
  14. In the Select a Program to Advertise dialog box, select the package you want to advertise. Click Next.
  15. In the Select Program [image] Advertisement Target dialog box, choose the collection to which you want to advertise, or create a new collection.
  16. In the Select Program [image] Advertisement Name dialog box, enter or change the name of your advertisement. Add any comments to further describe the advertisement. Click Next.
  17. In the Select Program [image] Advertisement Subcollection dialog box, select one of the following options:
    • Advertise this program to an existing collection
    • Create a new collection and advertise this program to it
  18. Click Next.
  19. In the Select Program [image] Advertisement Schedule dialog box, if desired, set options to advertise your program at a specific date and time, or set an expiration date. Click Next.
  20. In the Select Program [image] Assign Program dialog box, select one of the following options:
    • If the installation process is mandatory, select “Yes, assign the program”
    • If the installation process is optional, select “No, do not assign the program”
    Click Next.
  21. In the Summary dialog box, verify your advertisement information. Use the back buttons to make any changes. To finish, click Next.


Distribute the Product Using Imaging Software

Create the SCCM Software Installation Package
Use a Master Image to Distribute Multi-Seat Stand-Alone Products to Multiple Systems
AutoCAD 2009 Network Administrator's Guide >
Distribute the Product Using Imaging Software

The following information is provided for those who use imaging software, such as Norton Ghost, to create a master image to distribute Autodesk products. Once created, the master image is then replicated to other computers throughout your facility.

Care needs to be taken since the use of imaging software can result in the following situations:

  • Conflicts with the product licensing
  • Incomplete installations and problems with activation
NoteIf you are experiencing licensing instability in a SATA RAID environment, using imaging software to distribute Autodesk products can cause product activation problems, such as “Activation code limit exceeded” when you attempt to activate.

Topics in this section

  • Use a Master Image to Distribute Multi-Seat Stand-Alone Products to Multiple Systems
  • Use a Master Image to Distribute Network Licensed Products to Multiple Systems
  • Restore the Master Image
  • Clean a Master System and Restore the Operating System


Use a Master Image to Distribute Multi-Seat Stand-Alone Products to Multiple Systems

Distribute the Product Using Imaging Software
Distribute the Product Using Imaging Software
Use a Master Image to Distribute Network Licensed Products to Multiple Systems
AutoCAD 2009 Network Administrator's Guide > Distribute the Product Using Imaging Software >
Use a Master Image to Distribute Multi-Seat Stand-Alone Products to Multiple Systems

You can distribute the product using a master image for a multi-seat stand-alone product.

NoteWhen using Norton Ghost, you must use the -ib switch to include the boot sector in your master image. Consult your imaging software for more details on including the boot sector as part of the master image.

Master images should not be created if you’ve previously run Autodesk products on the master computer. Cleaning the system may be necessary. See Clean a Master System and Restore the Operating System.

To distribute a multi-seat stand-alone product to multiple computers using a master image

  1. Create a network deployment for a multi-seat stand-alone product. For more information, see Use the Installation Wizard to Set Up a Deployment.
  2. Install the Autodesk product from the deployment onto the master computer.
  3. Do one of the following on the master computer:
    • Create a master image, including the boot sector. Test the product on a machine other than the master computer before distributing the product. Launch the product on the other machine, and register and activate it. Users have a 30-day grace period to register and activate the product on their machines.
    • Launch and customize the product as necessary. Create a master image and distribute it to users. If users’ computers are connected to the Internet, the product is automatically activated. Users whose computers are not connected to the Internet have a 7-day grace period to register and activate the product.
  4. Apply the master image to the target computers.


Use a Master Image to Distribute Network Licensed Products to Multiple Systems

Use a Master Image to Distribute Multi-Seat Stand-Alone Products to Multiple Systems
Distribute the Product Using Imaging Software
Restore the Master Image
AutoCAD 2009 Network Administrator's Guide > Distribute the Product Using Imaging Software >
Use a Master Image to Distribute Network Licensed Products to Multiple Systems

You can distribute the product using a master image for a network licensed product.

To distribute a network licensed product to multiple computers using a master image

  1. Create a network deployment for a network licensed product. For more information, see Use the Installation Wizard to Set Up a Deployment.
  2. Install the Autodesk product from the deployment onto the master computer.
    NoteA license server must be running, and each computer must be connected to the network in order for the product to obtain a license.
  3. After the Autodesk product has been installed, use imaging software to create a master image of the system's hard drive.
  4. Apply the master image to the target computers.


Restore the Master Image

Use a Master Image to Distribute Network Licensed Products to Multiple Systems
Distribute the Product Using Imaging Software
Clean a Master System and Restore the Operating System
AutoCAD 2009 Network Administrator's Guide > Distribute the Product Using Imaging Software >
Restore the Master Image

The following procedure assumes that you have saved a copy of each workstation’s Software Licenses folder (and Product Licenses folder, if present) to either another workstation or a DVD before you reformat the workstation.

To restore a product using a master image

  1. Exit the application. Do not run the application again until after you have completed this procedure.
  2. In Windows Explorer, copy the Software Licenses folder from the appropriate path shown below to a location other than the disk that will be restored.

    C:\Documents and Settings\All Users\Application Data\Autodesk\Software Licenses

  3. Reformat the workstation and restore the master image.
    NoteDo not perform a low-level format of the hard drive.
  4. Copy the Software Licenses folder that you created in step 2 to its original workstation and location on that workstation.
NoteWhen you restore the disk image, any files that were altered are put back in their original state and ready to use again. The license files are preserved, and no reactivation of products is necessary.


Clean a Master System and Restore the Operating System

Restore the Master Image
Distribute the Product Using Imaging Software
Glossary
AutoCAD 2009 Network Administrator's Guide > Distribute the Product Using Imaging Software >
Clean a Master System and Restore the Operating System

If you have already run the Autodesk product on the master computer, the master computer should be properly cleaned first.

To clean a master computer and restore the operating system

  1. Clean the hard drive, including the boot sector.

    For example, if you use Norton’s GDISK utility, use the following command:

    gdisk 1 /diskwipe

    Where 1 is the hard disk that is being wiped.

    NoteIf you use a utility other than Norton Ghost, make sure that it cleans the boot sector; otherwise, you will not be able to activate Autodesk products.
  2. Create a new partition and use the restore CD or product CD to install the operating system.


Glossary

Clean a Master System and Restore the Operating System
AutoCAD 2009 Network Administrator's Guide >
Glossary
activate

Part of the Autodesk software registration process, it allows you to run a product in compliance with the product's end-user license agreement.

Active Directory

A directory service from Microsoft that is part of Windows 2000 and Windows 2003 Server.

administrative image

A collection of shared file resources created by the Deployment wizard and used by deployments to install the program to network workstations. Service packs (patches) can be applied to an administrative image using the Deployment wizard.

advertising

A pull technology that notifies users of an updated software product that is available for installation. Users typically double-click a shortcut (or do a similar operation) to complete the installation of the advertised product.

AutoCAD startup accelerator (acstart17.exe)

A runtime process that can accelerate the initial startup of AutoCAD.

deploy

The process of installing an Autodesk product to one or more computers on a network.

deployment

A link to a unique MST (Microsoft Transform) file that serves as a basis for an installation. Using the Deployment wizard, administrators can create multiple deployments that result in different types of installations for users.

directory service

A network service that identifies all resources on a network and makes them accessible to users and applications. Resources include email addresses, computers, and peripheral devices such as printers. Ideally, the directory service should make the physical network topology and protocols transparent so that a user on a network can access any resource without knowing where or how it is physically connected. Virtually all directory services are based on the X.500 ITU standard.

FLEXlm

License management technology from Macrovision Software, Inc. FLEXlm provides administrative tools that help to simplify management of network licenses. FLEXlm can be used to monitor network license status, reset licenses lost to a system failure, troubleshoot license servers, and update existing license files.

group policy

Microsoft server technology that provides a way to do push installations and advertising-based installations using standard Microsoft 2000 Server administration components.

installation image

A deployment that consists of an MSI file, any associated transforms, additional user-specified custom files, and profile and registry settings.

MSI

Microsoft installer that supports a variety of parameters that can be scripted.

MSP

Microsoft patch file (see patch).

MST

Microsoft transform file. Modifies the components installed by the MSI file. For example, the Deployment wizard creates an MST file with the settings that you specify. The deployment created by the Deployment wizard uses the MST file in conjunction with the MSI file and MSIEXEC to install the program on local workstations.

multi-seat stand-alone installation

A type of installation where multiple stand-alone seats of the program are installed using a single serial number.

partial profile

A profile that contains partial registry information corresponding to a subset of the options available from the Files tab of the Options dialog box.

patch

A software update to an application.

power user

A user with rights to access and write to the Program Files folder and the HKEY_Local_Machine folder of the registry.

pull technology

An installation technology that requires user interaction to complete the installation.

push technology

An installation technology that installs files to a remote desktop without any user interaction.

scripting

The process of using scripting languages such as VB Script to facilitate the deployment of software packages.

service pack

Autodesk terminology for an application patch.

silent installation

An installation that proceeds without any explicit user input. No dialog boxes are presented that require interaction from the user.

SMS

Microsoft Systems Management Server. A tool that helps administer networked machines by allowing remote configuration, push deployments, and user administration. SMS is an expensive technology that must be purchased as an additional server.

transform

See MST.


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!